summaryrefslogtreecommitdiff
path: root/tests/rmdir
diff options
context:
space:
mode:
authorRalf Wildenhues <Ralf.Wildenhues@gmx.de>2007-11-30 12:14:57 +0100
committerJim Meyering <meyering@redhat.com>2007-11-30 12:14:57 +0100
commit0db207c66c8b992f4c123c6a25f3cb1809ec4149 (patch)
tree3ec0294efce27ba341a7a2ec7b7255529aa6b808 /tests/rmdir
parentd7ed3bcb8dd785f1404d6f68f53c6b5668ac56f8 (diff)
downloadcoreutils-0db207c66c8b992f4c123c6a25f3cb1809ec4149.tar.gz
Add quotes to protect against white space in build dir name.
* tests/check.mk (TESTS_ENVIRONMENT): Quote $(abs_srcdir). * tests/chmod/setgid: Quote absolute names. * tests/misc/help-version: Likewise. * tests/misc/pwd-unreadable-parent: Likewise. * tests/rmdir/ignore: Likewise. * tests/test-lib.sh: Likewise.
Diffstat (limited to 'tests/rmdir')
-rwxr-xr-xtests/rmdir/ignore10
1 files changed, 5 insertions, 5 deletions
diff --git a/tests/rmdir/ignore b/tests/rmdir/ignore
index 6ad89577c..bb3f62f2e 100755
--- a/tests/rmdir/ignore
+++ b/tests/rmdir/ignore
@@ -24,14 +24,14 @@ fi
. $srcdir/../test-lib.sh
cwd=`pwd`
-mkdir -p $cwd/a/b/c $cwd/a/x || framework_failure
+mkdir -p "$cwd/a/b/c" "$cwd/a/x" || framework_failure
fail=0
-rmdir -p --ignore-fail-on-non-empty $cwd/a/b/c || fail=1
+rmdir -p --ignore-fail-on-non-empty "$cwd/a/b/c" || fail=1
# $cwd/a/x should remain
-test -d $cwd/a/x || fail=1
+test -d "$cwd/a/x" || fail=1
# $cwd/a/b and $cwd/a/b/c should be gone
-test -d $cwd/a/b && fail=1
-test -d $cwd/a/b/c && fail=1
+test -d "$cwd/a/b" && fail=1
+test -d "$cwd/a/b/c" && fail=1
exit $fail